import React from "react";
import { IObjectOptions } from "fabric/fabric-impl";
declare type Props = {
    children?: React.ReactElement;
    canvasHeight: number;
    canvasWidth: number;
    defaultPolygons?: Array<any>;
    canEdit?: boolean;
    polygonStyle?: IObjectOptions;
};
export declare const POLYGON_SIZE: {
    small: number;
    normal: number;
    large: number;
};
export declare const POLYGON_TYPE: {
    rec: number;
    hex: number;
    oct: number;
};
declare const CanvasPolygons: React.ForwardRefExoticComponent<Props & React.RefAttributes<unknown>>;
export default CanvasPolygons;
